[Launch]
ProgramExecutable=CDEx\CDex.exe
DirectoryMoveOK=yes
SupportsUNC=yes

[FilesMove]
settings\CDEx.ini=%PAL:AppDir%\CDEx
settings\Default.prf.ini=%PAL:AppDir%\CDEx
settings\in_vorbis.ini=%PAL:AppDir%\CDEx\plugins

[DirectoriesMove]
LocalCDDB=%PAL:AppDir%\CDex\LocalCDDB

[Language]
Base=%PortableApps.comLocaleName%
CheckIfExists=%PAL:AppDir%\CDEx\lang\%PAL:LanguageCustom%.cdex.lang
DefaultIfNotExists=english

[LanguageStrings]
Catalan=catala
Dutch=nederlands
EnglishGB=english
German=deutsch
Italian=italiano
Romanian=romana
SimpChinese=chinese_(simplified)
SpanishInternational=spanish
TradChinese=chinese_(traditional)

[LanguageFile]
Type=INI
File=%PAL:DataDir%\settings\CDEx.ini
Section=General
Key=Language

[FileWrite1]
Type=INI
File=%PAL:DataDir%\settings\CDEx.ini
Section=General
Key=Language
Value=%PAL:LanguageCustom%

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\CDEx.ini
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir%\
Replace=%PAL:Drive%%PAL:PackagePartialDir%\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\CDEx.ini
Find=%PAL:LastPortableAppsBaseDir%\
Replace=%PAL:PortableAppsBaseDir%\

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\settings\CDEx.ini
Find=%PAL:LastDrive%\
Replace=%PAL:Drive%\

[FileWrite5]
Type=INI
File=%PAL:DataDir%\settings\CDEx.ini
Section=General
Key=CDDBPath
Value=%PAL:AppDir%\CDEx\LocalCDDB\

[FileWrite6]
Type=INI
File=%PAL:DataDir%\settings\CDEx.ini
Section=General
Key=TempDir
Value=%TEMP%

[FileWrite7]
Type=Replace
File=%PAL:DataDir%\settings\CDEx.ini
Find=PORTABLEAPPSMUSICDEFAULT
Replace=%PortableApps.comMusic%\
